- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.tasks.jobs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.tasks.jobs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.tasks.jobs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.tasks.jobs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.tasks.jobs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.tasks.jobs/list#body.ListJobsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.tasks.jobs/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.tasks.jobs/list#try-it)

Lists Jobs under the given task.

### HTTP request

`GET https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*/lakes/*/tasks/*}/jobs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the parent environment: `projects/{projectNumber}/locations/{locationId}/lakes/{lakeId}/tasks/{taskId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dataplex.tasks.get` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Maximum number of jobs to return. The service may return fewer than this value. If unspecified, at most 10 jobs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. Page token received from a previous `jobs.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `jobs.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

List jobs response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "jobs": [ { object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.tasks.jobs#Job`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `jobs[]` | ``object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.tasks.jobs#Job`)`` Jobs under a given task. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/cloud-platform.read-only`
- `
  https://www.googleapis.com/auth/dataplex.read-write`
- `
  https://www.googleapis.com/auth/dataplex.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).